Package org.kapott.hbci.sepa.jaxb.camt_052_001_04

# Class PostalAddress6

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_04.PostalAddress6

public class PostalAddress6 extends Object

Java class for PostalAddress6 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PostalAddress6">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="AdrTp" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}AddressType2Code" minOccurs="0"/>
             <element name="Dept" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}Max70Text" minOccurs="0"/>
             <element name="SubDept" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}Max70Text" minOccurs="0"/>
             <element name="StrtNm" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}Max70Text" minOccurs="0"/>
             <element name="BldgNb" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}Max16Text" minOccurs="0"/>
             <element name="PstCd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}Max16Text" minOccurs="0"/>
             <element name="TwnNm" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}Max35Text" minOccurs="0"/>
             <element name="CtrySubDvsn" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}Max35Text" minOccurs="0"/>
             <element name="Ctry" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}CountryCode" minOccurs="0"/>
             <element name="AdrLine" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}Max70Text" maxOccurs="7" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected List<String>`
`adrLine`
`protected AddressType2Code`
`adrTp`
`protected String`
`bldgNb`
`protected String`
`ctry`
`protected String`
`ctrySubDvsn`
`protected String`
`dept`
`protected String`
`pstCd`
`protected String`
`strtNm`
`protected String`
`subDept`
`protected String`
`twnNm`

## Constructor Summary

Constructors
Constructor
Description
`PostalAddress6()`

## Method Summary

Modifier and Type
Method
Description
`List<String>`
`getAdrLine()`
Gets the value of the adrLine property.
`AddressType2Code`
`getAdrTp()`
Gets the value of the adrTp property.
`String`
`getBldgNb()`
Gets the value of the bldgNb property.
`String`
`getCtry()`
Gets the value of the ctry property.
`String`
`getCtrySubDvsn()`
Gets the value of the ctrySubDvsn property.
`String`
`getDept()`
Gets the value of the dept property.
`String`
`getPstCd()`
Gets the value of the pstCd property.
`String`
`getStrtNm()`
Gets the value of the strtNm property.
`String`
`getSubDept()`
Gets the value of the subDept property.
`String`
`getTwnNm()`
Gets the value of the twnNm property.
`void`
`setAdrTp(AddressType2Code value)`
Sets the value of the adrTp property.
`void`
`setBldgNb(String value)`
Sets the value of the bldgNb property.
`void`
`setCtry(String value)`
Sets the value of the ctry property.
`void`
`setCtrySubDvsn(String value)`
Sets the value of the ctrySubDvsn property.
`void`
`setDept(String value)`
Sets the value of the dept property.
`void`
`setPstCd(String value)`
Sets the value of the pstCd property.
`void`
`setStrtNm(String value)`
Sets the value of the strtNm property.
`void`
`setSubDept(String value)`
Sets the value of the subDept property.
`void`
`setTwnNm(String value)`
Sets the value of the twnNm property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### adrTp

protected AddressType2Code adrTp

### dept

protected String dept

### subDept

protected String subDept

### strtNm

protected String strtNm

### bldgNb

protected String bldgNb

### pstCd

protected String pstCd

### twnNm

protected String twnNm

### ctrySubDvsn

protected String ctrySubDvsn

### ctry

protected String ctry

### adrLine

protected List<String> adrLine

## Constructor Details

### PostalAddress6

public PostalAddress6()

## Method Details

### getAdrTp

public AddressType2Code getAdrTp()
Gets the value of the adrTp property.

Returns:
  possible object is `AddressType2Code`

### setAdrTp

public void setAdrTp(AddressType2Code value)
Sets the value of the adrTp property.

Parameters:
  `value` - allowed object is `AddressType2Code`

### getDept

public String getDept()
Gets the value of the dept property.

Returns:
  possible object is `String`

### setDept

public void setDept(String value)
Sets the value of the dept property.

Parameters:
  `value` - allowed object is `String`

### getSubDept

public String getSubDept()
Gets the value of the subDept property.

Returns:
  possible object is `String`

### setSubDept

public void setSubDept(String value)
Sets the value of the subDept property.

Parameters:
  `value` - allowed object is `String`

### getStrtNm

public String getStrtNm()
Gets the value of the strtNm property.

Returns:
  possible object is `String`

### setStrtNm

public void setStrtNm(String value)
Sets the value of the strtNm property.

Parameters:
  `value` - allowed object is `String`

### getBldgNb

public String getBldgNb()
Gets the value of the bldgNb property.

Returns:
  possible object is `String`

### setBldgNb

public void setBldgNb(String value)
Sets the value of the bldgNb property.

Parameters:
  `value` - allowed object is `String`

### getPstCd

public String getPstCd()
Gets the value of the pstCd property.

Returns:
  possible object is `String`

### setPstCd

public void setPstCd(String value)
Sets the value of the pstCd property.

Parameters:
  `value` - allowed object is `String`

### getTwnNm

public String getTwnNm()
Gets the value of the twnNm property.

Returns:
  possible object is `String`

### setTwnNm

public void setTwnNm(String value)
Sets the value of the twnNm property.

Parameters:
  `value` - allowed object is `String`

### getCtrySubDvsn

public String getCtrySubDvsn()
Gets the value of the ctrySubDvsn property.

Returns:
  possible object is `String`

### setCtrySubDvsn

public void setCtrySubDvsn(String value)
Sets the value of the ctrySubDvsn property.

Parameters:
  `value` - allowed object is `String`

### getCtry

public String getCtry()
Gets the value of the ctry property.

Returns:
  possible object is `String`

### setCtry

public void setCtry(String value)
Sets the value of the ctry property.

Parameters:
  `value` - allowed object is `String`

### getAdrLine

public List<String> getAdrLine()
Gets the value of the adrLine property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the adrLine property.

For example, to add a new item, do as follows:

        getAdrLine().add(newItem);

Objects of the following type(s) are allowed in the list `String`